FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
Fl_Check_Browser Class Reference

The Fl_Check_Browser widget displays a scrolling list of text lines that may be selected and/or checked by the user. More...

`#include <Fl_Check_Browser.H>`

Inheritance diagram for Fl_Check_Browser:

List of all members.

## Public Member Functions
int | add (char *s)
| Add a new unchecked line to the end of the browser.
int | add (char *s, int b)
| Add a new line to the end of the browser.
int | add (const char *s)
| See int Fl_Check_Browser::add(char *s)
int | add (const char *s, int b)
| See int Fl_Check_Browser::add(char *s)
void | check_all ()
| Sets all the items checked.
void | check_none ()
| Sets all the items unchecked.
int | checked (int item) const
| Gets the current status of item item.
void | checked (int item, int b)
| Sets the check status of item item to b.
void | clear ()
| Remove every item from the browser.
| Fl_Check_Browser (int x, int y, int w, int h, const char *l=0)
| The constructor makes an empty browser.
int | nchecked () const
| Returns how many items are currently checked.
int | nitems () const
| Returns how many lines are in the browser.
int | remove (int item)
| Remove line n and make the browser one line shorter.
void | set_checked (int item)
| Equivalent to Fl_Check_Browser::checked(item, 1).
char * | text (int item) const
| Return a pointer to an internal buffer holding item item's text.
int | value () const
| Returns the index of the currently selected item.
| ~Fl_Check_Browser ()
| The destructor deletes all list items and destroys the browser.
## Protected Member Functions
int | handle (int)
| Handles the `event` within the normal widget bounding box.

## Detailed Description

The Fl_Check_Browser widget displays a scrolling list of text lines that may be selected and/or checked by the user.

## Constructor & Destructor Documentation

Fl_Check_Browser::Fl_Check_Browser | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | l = `0`
| ) |  |

The constructor makes an empty browser.

Fl_Check_Browser::~Fl_Check_Browser | ( |  | ) | `[inline]`

The destructor deletes all list items and destroys the browser.

## Member Function Documentation

int Fl_Check_Browser::add | ( | char * | s | ) |

Add a new unchecked line to the end of the browser.

See also:
  add(char *s, int b)

int Fl_Check_Browser::add | ( | char * | s,
|  | int | b
| ) |  |

Add a new line to the end of the browser.

The text is copied using the strdup() function. It may also be NULL to make a blank line. It can set the item checked if `b` is not 0.

void Fl_Check_Browser::check_all | ( |  | ) |

Sets all the items checked.

void Fl_Check_Browser::check_none | ( |  | ) |

Sets all the items unchecked.

int Fl_Check_Browser::checked | ( | int | i | ) | const

Gets the current status of item item.

void Fl_Check_Browser::checked | ( | int | i,
|  | int | b
| ) |  |

Sets the check status of item item to b.

void Fl_Check_Browser::clear | ( |  | ) |

Remove every item from the browser.

Reimplemented from Fl_Group.

int Fl_Check_Browser::handle | ( | int | event | ) | `[protected, virtual]`

Handles the `event` within the normal widget bounding box.

Parameters:

  [in] | event | The event to process.

Returns:
  1 if event was processed, 0 if not.

Reimplemented from Fl_Browser_.

int Fl_Check_Browser::nchecked | ( |  | ) | const`[inline]`

Returns how many items are currently checked.

int Fl_Check_Browser::nitems | ( |  | ) | const`[inline]`

Returns how many lines are in the browser.

The last line number is equal to this.

int Fl_Check_Browser::remove | ( | int | item | ) |

Remove line n and make the browser one line shorter.

Returns the number of lines left in the browser.

Reimplemented from Fl_Group.

void Fl_Check_Browser::set_checked | ( | int | item | ) | `[inline]`

Equivalent to Fl_Check_Browser::checked(item, 1).

char * Fl_Check_Browser::text | ( | int | i | ) | const

Return a pointer to an internal buffer holding item item's text.

int Fl_Check_Browser::value | ( |  | ) | const

Returns the index of the currently selected item.

The documentation for this class was generated from the following files:

- Fl_Check_Browser.H
- Fl_Check_Browser.cxx